%bcond_without	uclibc

Summary:	The utilities to create reiserfs volumes
Name:		reiserfsprogs
Version:	3.6.21
Epoch:		1
Release:	3
License:	GPLv2 with exceptions
Group:		System/Kernel and hardware
Url:		http://ftp.kernel.org/pub/linux/utils/fs/reiserfs/
Source0:	http://ftp.kernel.org/pub/linux/utils/fs/reiserfs/%{name}-%{version}.tar.bz2
Patch1:		reiserfsprogs-3.6.2-make-the-force-option-works-in-resize_reiserfs.patch
Patch3:		reiserfsprogs-3.6.21-uuid.patch
%rename		reiserfs-utils
BuildRequires:	pkgconfig(blkid)
%if %{with uclibc}
BuildRequires:	uClibc-devel >= 0.9.33.2-16
%endif

%description
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%package -n	uclibc-%{name}
Summary:	The utilities to create reiserfs volumes (uClibc build)
Group:		System/Kernel and hardware

%description -n	uclibc-%{name}
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%prep
%setup -q
%patch1 -p0 -b .force~
%patch3 -p1 -b .uuid~

%if %{with uclibc}
mkdir .uclibc
cp -a * .uclibc
%endif

%build
%if %{with uclibc}
pushd .uclibc
%uclibc_configure \
		--sbindir=%{uclibc_root}/sbin
%make
popd
%endif

%configure2_5x	--sbindir=/sbin
%make

%install
%if %{with uclibc}
%makeinstall_std -C .uclibc

ln -s mkreiserfs %{buildroot}%{uclibc_root}/sbin/mkfs.reiserfs
ln -s reiserfsck %{buildroot}%{uclibc_root}/sbin/fsck.reiserfs
%endif

%makeinstall_std

ln -s mkreiserfs %{buildroot}/sbin/mkfs.reiserfs
ln -s reiserfsck %{buildroot}/sbin/fsck.reiserfs
ln -s mkreiserfs.8 %{buildroot}%{_mandir}/man8/mkfs.reiserfs.8
ln -s reiserfsck.8 %{buildroot}%{_mandir}/man8/fsck.reiserfs.8

%files
%doc README ChangeLog
/sbin/*
%{_mandir}/*/*

%if %{with uclibc}
%files -n uclibc-%{name}
%{uclibc_root}/sbin/*
%endif


%changelog
* Sun Oct 28 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:3.6.21-3
+ Revision: 820204
- use %%uclibc_configure macro
- do uclibc build
- use pkgconfig(foo) br
- cleanups

* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 1:3.6.21-2
+ Revision: 669416
- mass rebuild

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 1:3.6.21-1mnb2
+ Revision: 504116
- update url and license
- New version 3.6.21
- unaligned patch merged upstream
- rediff uuid patch

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1:3.6.19-9mnb2
+ Revision: 384367
- Switch to libblkid-devel

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 1:3.6.19-8mnb2
+ Revision: 344657
- rebuild for new libreadline

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1:3.6.19-7mnb2
+ Revision: 317575
- rediffed one fuzzy patch

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 1:3.6.19-6mnb2
+ Revision: 263691
- rebuild

* Tue Mar 04 2008 Thierry Vignaud <tv@mandriva.org> 1:3.6.19-5mnb1
+ Revision: 178449
- remove ads (pseudo-benchmark) from description
- actually describe it

* Tue Mar 04 2008 Makoto Dei <makoto@turbolinux.co.jp> 1:3.6.19-4mnb1
+ Revision: 178424
- accept UUID=.... as the device name (#37156)

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1:3.6.19-3mnb1
+ Revision: 170656
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 1:3.6.19-3mdv2008.0
+ Revision: 63595
- buildrequires libext2fs-devel to fix #30816 (no uuid generation support)
- prune description to avoid excessive project advocacy
- use Fedora license policy (GPLv2-like because of an added clause)
- add patch2 from Ubuntu to avoid use of unaligned.h (no longer exists)


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.6.19-2mdv2007.0
+ Revision: 119999
- spec file clean
- bunzip patches

  + Emmanuel Andry <eandry@mandriva.org>
    - Import reiserfsprogs

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6.19-1mdk
- 3.6.19

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.6.17-1mdk
- 3.6.17

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.6.14-1mdk
- 3.6.14
- spec cosmetics

